Qt Reference Documentation

# Element Class Reference

(QPainterPath::Element)

The QPainterPath::Element class specifies the position and type of a subpath. More...

     #include <QPainterPath>

- List of all members, including inherited members

## Public Functions

bool | isCurveTo () const
bool | isLineTo () const
bool | isMoveTo () const
| operator QPointF () const
bool | operator!= ( const Element & other ) const
bool | operator== ( const Element & other ) const

## Public Variables

ElementType | type
qreal | x
qreal | y

## Detailed Description

The QPainterPath::Element class specifies the position and type of a subpath.

Once a QPainterPath object is constructed, subpaths like lines and curves can be added to the path (creating QPainterPath::LineToElement and QPainterPath::CurveToElement components).

The lines and curves stretch from the currentPosition() to the position passed as argument. The currentPosition() of the QPainterPath object is always the end position of the last subpath that was added (or the initial start point). The moveTo() function can be used to move the currentPosition() without adding a line or curve, creating a QPainterPath::MoveToElement component.

See also QPainterPath.

## Member Function Documentation

### bool Element::isCurveTo () const

Returns true if the element is a curve, otherwise returns false.

See also type and QPainterPath::CurveToElement.

### bool Element::isLineTo () const

Returns true if the element is a line, otherwise returns false.

See also type and QPainterPath::LineToElement.

### bool Element::isMoveTo () const

Returns true if the element is moving the current position, otherwise returns false.

See also type and QPainterPath::MoveToElement.

### Element::operator QPointF () const

Returns the element's position.

See also x and y.

### bool Element::operator!= ( const Element & other ) const

Returns true if this element is not equal to other; otherwise returns false.

This function was introduced in Qt 4.2.

See also operator==().

### bool Element::operator== ( const Element & other ) const

Returns true if this element is equal to other; otherwise returns false.

This function was introduced in Qt 4.2.

See also operator!=().

## Member Variable Documentation

### ElementType Element::type

This variable holds the type of element.

See also isCurveTo(), isLineTo(), and isMoveTo().

### qreal Element::x

This variable holds the x coordinate of the element's position.

See also operator QPointF().

### qreal Element::y

This variable holds the y coordinate of the element's position.

See also operator QPointF().